import { Post } from '@blog/models/Post';
import { db } from '@blog/services/database';

export class PostRepository {
  public async getPost(id: number): Promise<Post> {
    const queryString = `
SELECT title, slug, is_draft, description, published_date, raw_content
FROM posts
WHERE id = $id
`;
    const query = db.query(queryString);
    const post = query.get({ $id: id }).as(Post);
    return post;
  }

  public async getPostBySlug(slug: string): Post {

  }
}
