import type { PostMeta } from '@blog/model/PostMeta';

export function PostList({ posts }: { posts: PostMeta[] }) {
  return(
    <ul>
      {posts.map(p => {
        return (
          <li>
            <a href={p.slug}>{p.title}</a>
          </li>
        );
      })}
    </ul>
  );
}
