import { PostList } from '@blog/templates/components/PostList';
import { PostMeta } from '@blog/model/PostMeta';

export function Home({ posts }: { posts: PostMeta[] }) {
  return (
    <div class="main">
      <h1>davesmithhayes.com</h1>
      {posts.length ? <PostList posts={posts} /> : <div>No posts.</div>}
    </div>
  );
}

